/*
 * J4_UART.c
 *
 *  Created on: 2024年5月18日
 *      Author: 34509
 */

#include <J4_UART8.h>



void J4_485_Init(uint32_t baud)
{
    rt_pin_mode(J4_DE, PIN_MODE_OUTPUT);
    /* 设置485状态为读 */
    rt_pin_write(J4_DE, read);

    rt_pin_mode(J4_PWR_Ctrl, PIN_MODE_OUTPUT);
    J4_PWR_Open();





}



/* 打开J4 485的电源 */
void J4_PWR_Open(void)
{
    rt_pin_write(J4_PWR_Ctrl, open);
}

/* 关闭J4 485的电源 */
void J4_PWR_Close(void)
{
    rt_pin_write(J4_PWR_Ctrl, close);
}
